BlackListBasedTrustedChannelResolver (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.datatransfer, class: BlackListBasedTrustedChannelResolver

Package org.apache.hadoop.hdfs.protocol.datatransfer

# Class BlackListBasedTrustedChannelResolver

java.lang.Object
org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver
org.apache.hadoop.hdfs.protocol.datatransfer.BlackListBasedTrustedChannelResolver

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`

public class BlackListBasedTrustedChannelResolver extends org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver
Implements `TrustedChannelResolver` to trust ips/host/subnets based on a blackList.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DFS_DATATRANSFER_CLIENT_FIXED_BLACK_LIST_FILE`
  Path to the file containing subnets and ip addresses to form fixed BlackList.
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_CACHE_SECS`
  Time in seconds after which the variable BlackList file is checked for updates.
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_ENABLE`
  Enables/Disables variable BlackList.
  `static final String`
  `DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_FILE`
  Path to the file to containing subnets and ip addresses to form variable BlackList.
  `static final String`
  `DFS_DATATRANSFER_SERVER_FIXED_BLACK_LIST_FILE`
  Path to the file containing subnets and ip addresses to form fixed BlackList.
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_CACHE_SECS`
  Time in seconds after which the variable BlackList file is checked for updates.
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_ENABLE`
  Enables/Disables variable BlackList.
  `static final String`
  `DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_FILE`
  Path to the file containing subnets and ip addresses to form variable BlackList.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlackListBasedTrustedChannelResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isTrusted()`
  `boolean`
  `isTrusted(InetAddress clientAddress)`
  `void`
  `setConf(org.apache.hadoop.conf.Configuration conf)`

  ### Methods inherited from class org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver

  `getConf, getInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DFS_DATATRANSFER_SERVER_FIXED_BLACK_LIST_FILE

    public static final String DFS_DATATRANSFER_SERVER_FIXED_BLACK_LIST_FILE
    Path to the file containing subnets and ip addresses to form fixed BlackList. Server side config.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_ENABLE

    public static final String DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_ENABLE
    Enables/Disables variable BlackList. Server side config.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_FILE

    public static final String DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_FILE
    Path to the file containing subnets and ip addresses to form variable BlackList. Server side config.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_CACHE_SECS

    public static final String DFS_DATATRANSFER_SERVER_VARIABLE_BLACK_LIST_CACHE_SECS
    Time in seconds after which the variable BlackList file is checked for updates. Server side config.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_FIXED_BLACK_LIST_FILE

    public static final String DFS_DATATRANSFER_CLIENT_FIXED_BLACK_LIST_FILE
    Path to the file containing subnets and ip addresses to form fixed BlackList. This key is for client.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_ENABLE

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_ENABLE
    Enables/Disables variable BlackList. This key is for client.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_FILE

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_FILE
    Path to the file to containing subnets and ip addresses to form variable BlackList. This key is for client.
    See Also:
      - Constant Field Values

  - ### DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_CACHE_SECS

    public static final String DFS_DATATRANSFER_CLIENT_VARIABLE_BLACK_LIST_CACHE_SECS
    Time in seconds after which the variable BlackList file is checked for updates. This key is for client.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BlackListBasedTrustedChannelResolver

    public BlackListBasedTrustedChannelResolver()

- ## Method Details

  - ### setConf

    public void setConf(org.apache.hadoop.conf.Configuration conf)
    Specified by:
      `setConf` in interface `org.apache.hadoop.conf.Configurable`
    Overrides:
      `setConf` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`

  - ### isTrusted

    public boolean isTrusted()
    Overrides:
      `isTrusted` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`

  - ### isTrusted

    public boolean isTrusted(InetAddress clientAddress)
    Overrides:
      `isTrusted` in class `org.apache.hadoop.hdfs.protocol.datatransfer.TrustedChannelResolver`